System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is used internally by the class, whose methods and properties are exposed through the intrinsic ASP.NET object. Additionally, the class contains encoding and decoding utility methods that are not accessible from the .

To encode or decode values outside of a web application, use the class.

Provides methods for encoding and decoding URLs when processing Web requests. This class cannot be inherited.

- Constructor

  The class exposes methods for encoding and decoding string based URLs, URL tokens, and paths. The is used internally by the class.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  The method converts only quotation marks ("), ampersands (&), and left angle brackets (<) to equivalent character entities. It is considerably faster than the method.

  The string result from the method should be used only for double-quoted attributes. Security issues might arise when using the method with single-quoted attributes.

  Minimally converts a string to an HTML-encoded string.

  An encoded string.

  The string to encode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The method converts only quotation marks ("), ampersands (&), and left angle brackets (<) to equivalent character entities. It is considerably faster than the method.

  The string result from the method should be used only for double-quoted attributes. Security issues might arise when using the method with single-quoted attributes.

  Minimally converts a string into an HTML-encoded string and sends the encoded string to a output stream.

  The string to encode A output stream. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. HTML encoding converts characters that are not allowed in HTML into character-entity equivalents; HTML decoding reverses the encoding. For example, when embedded in a block of text, the characters < and > are encoded as &lt; and &gt; for HTTP transmission.

  To encode or decode values outside of a web application, use the class.

  Converts a string that has been HTML-encoded for HTTP transmission into a decoded string.

  A decoded string.

  The string to decode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. HTML encoding converts characters that are not allowed in HTML into character-entity equivalents; HTML decoding reverses the encoding. For example, when embedded in a block of text, the characters < and > are encoded as &lt; and &gt; for HTTP transmission.

  To encode or decode values outside of a web application, use the class.

  Converts a string that has been HTML-encoded into a decoded string, and sends the decoded string to a output stream.

  The string to decode. A stream of output. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. HTML encoding converts characters that are not allowed in HTML into character-entity equivalents; HTML decoding reverses the encoding. For example, when embedded in a block of text, the characters < and > are encoded as &lt; and &gt; for HTTP transmission.

  To encode or decode values outside of a web application, use the class.

  Converts a string to an HTML-encoded string.

  An encoded string.

  The string to encode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. HTML encoding converts characters that are not allowed in HTML into character-entity equivalents; HTML decoding reverses the encoding. For example, when embedded in a block of text, the characters < and >, are encoded as &lt; and &gt; for HTTP transmission.

  To encode or decode values outside of a web application, use the class.

  Converts a string into an HTML-encoded string, and returns the output as a stream of output.

  The string to encode A output stream. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Collections.Specialized.NameValueCollection ``

  The method uses format to parse the query string In the returned , URL-encoded characters are decoded and multiple occurrences of the same query string parameter are listed as a single entry with a comma separating each value.

  The method uses query strings that might contain user input, which is a potential security threat. By default, ASP.NET Web pages validate that user input does not include script or HTML elements. For more information, see Script Exploits Overview.

  Parses a query string into a using encoding.

  A of query parameters and values.

  The query string to parse.
- Method
  2.0.0.0
  System.Collections.Specialized.NameValueCollection `` ``

  In the returned , URL-encoded characters are decoded and multiple occurrences of the same query string parameter are listed as a single entry with a comma separating each value.

  The method uses query strings that might contain user input, which is a potential security threat. By default, ASP.NET Web pages validate that user input does not include script or HTML elements. For more information, see Script Exploits Overview.

  Parses a query string into a using the specified .

  A of query parameters and values.

  The query string to parse. The to use.
- Method
  System.String ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a string that has been encoded for transmission in a URL into a decoded string.

  A decoded string.

  The string to decode. 1.0.5000.0 2.0.0.0
- Method
  System.String `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a URL-encoded byte array into a decoded string using the specified decoding object.

  A decoded string.

  The array of bytes to decode. The that specifies the decoding scheme. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` a

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a URL-encoded string into a decoded string, using the specified encoding object.

  A decoded string.

  The that specifies the decoding scheme. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a URL-encoded byte array into a decoded string using the specified encoding object, starting at the specified position in the array, and continuing for the specified number of bytes.

  A decoded string.

  The array of bytes to decode. The position in the byte to begin decoding. The number of bytes to decode. The object that specifies the decoding scheme. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a URL-encoded array of bytes into a decoded array of bytes.

  A decoded array of bytes.

  The array of bytes to decode. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a URL-encoded string into a decoded array of bytes.

  A decoded array of bytes.

  The string to decode. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a URL-encoded string into a decoded array of bytes using the specified decoding object.

  A decoded array of bytes.

  The string to decode. The object that specifies the decoding scheme. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a URL-encoded array of bytes into a decoded array of bytes, starting at the specified position in the array and continuing for the specified number of bytes.

  A decoded array of bytes.

  The array of bytes to decode. The position in the byte array at which to begin decoding. The number of bytes to decode. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  The method can be used to encode the entire URL, including query-string values. If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when the characters < and > are embedded in a block of text to be transmitted in a URL, they are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a byte array into an encoded URL string.

  An encoded string.

  The array of bytes to encode. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  The method can be used to encode the entire URL, including query-string values. If characters such as blanks and punctuation are passed in an HTTP stream without encoding, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when the characters < and > are embedded in a block of text to be transmitted in a URL, they are encoded as %3c and %3e.

  You can encode a URL using with the method or the method. However, the methods return different results. The method converts each space character to a plus character (+). The method converts each space character into the string "%20", which represents a space in hexadecimal notation. Use the method when you encode the path portion of a URL in order to guarantee a consistent decoded URL, regardless of which platform or browser performs the decoding.

  The method uses UTF-8 encoding by default. Therefore, using the method provides the same results as using the method and specifying as the second parameter.

  is a convenient way to access the method at run time from an ASP.NET application. Internally, uses the method to encode strings.

  To encode or decode values outside of a web application, use the class.

  Encodes a URL string.

  An encoded string.

  The text to encode. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` a a

  This method can be used to encode the entire URL, including query-string values. If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when the characters < and > are embedded in a block of text to be transmitted in a URL, they are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Encodes a URL string using the specified encoding object.

  An encoded string.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` ``

  The method can be used to encode the entire URL, including query-string values. If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when the characters < and > are embedded in a block of text to be transmitted in a URL, they are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a byte array into a URL-encoded string, starting at the specified position in the array and continuing for the specified number of bytes.

  An encoded string.

  The array of bytes to encode. The position in the byte array at which to begin encoding. The number of bytes to encode. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts an array of bytes into a URL-encoded array of bytes.

  An encoded array of bytes.

  The array of bytes to encode. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a string into a URL-encoded array of bytes.

  An encoded array of bytes.

  The string to encode. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts a string into a URL-encoded array of bytes using the specified encoding object.

  An encoded array of bytes.

  The string to encode The that specifies the encoding scheme. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not allowed in a URL into character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  To encode or decode values outside of a web application, use the class.

  Converts an array of bytes into a URL-encoded array of bytes, starting at the specified position in the array and continuing for the specified number of bytes.

  An encoded array of bytes.

  The array of bytes to encode. The position in the byte array at which to begin encoding. The number of bytes to encode. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not valid in a URL to character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  Converts a string into a Unicode string.

  A Unicode string in % notation.

  The string to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] ``

  If characters such as blanks and punctuation are passed in an HTTP stream, they might be misinterpreted at the receiving end. URL encoding converts characters that are not valid in a URL to character-entity equivalents; URL decoding reverses the encoding. For example, when embedded in a block of text to be transmitted in a URL, the characters < and > are encoded as %3c and %3e.

  Converts a Unicode string into an array of bytes.

  A byte array.

  The string to convert. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added. To be added.

  Do not use; intended only for browser compatibility. Use .

  The encoded text.

  1.0.5000.0
  2.0.0.0